restinio::easy_parser::impl::hexdigit_producer_t Class Reference

A producer for the case when a hexadecimal digit is expected in the input stream. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::hexdigit_producer_t:

## Public Member Functions

| hexdigit_producer_t ()
Public Member Functions inherited from restinio::easy_parser::impl::symbol_producer_template_t< is_hexdigit_predicate_t >
| symbol_producer_template_t (Args &&... args)
RESTINIO_NODISCARD expected_t< char, parse_error_t > | try_parse (source_t &from) const noexcept

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< char >
using | result_type = char
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< char >
static constexpr entity_type_t | entity_type
Protected Member Functions inherited from restinio::easy_parser::impl::is_hexdigit_predicate_t
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A producer for the case when a hexadecimal digit is expected in the input stream.

In the case of success returns the extracted character.

Since
  v.0.6.6

Definition at line 2403 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## hexdigit_producer_t()

restinio::easy_parser::impl::hexdigit_producer_t::hexdigit_producer_t | ( |  | ) |

inline

Definition at line 2407 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp